<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

function realhomes_property_feed_get_import_frequencies()
{
    $frequencies = array(
        'daily' => array(
            'name' => __( 'Daily', 'realhomes-property-feed' ),
            'pro' => false
        ),
         'twicedaily' => array(
            'name' => __( 'Twice Daily', 'realhomes-property-feed' ),
            'pro' => true
        ),
        'hourly' => array(
            'name' => __( 'Hourly', 'realhomes-property-feed' ),
            'pro' => true
        ),
        'every_fifteen_minutes' => array(
            'name' => __( 'Every Fifteen Minutes', 'realhomes-property-feed' ),
            'pro' => true
        ),
        'exact_hours' => array(
            'name' => __( 'Exact Hours', 'realhomes-property-feed' ),
            'pro' => true
        )
    );

    $frequencies = apply_filters( 'realhomes_property_feed_import_frequencies', $frequencies );

    return $frequencies;
}

function realhomes_property_feed_get_import_frequency( $key )
{
    $frequencies = realhomes_property_feed_get_import_frequencies();
    
    return $frequencies[$key];
}

function realhomes_property_feed_get_export_frequencies()
{
    $frequencies = array(
        'daily' => array(
            'name' => __( 'Daily', 'realhomes-property-feed' ),
            'pro' => false
        ),
         'twicedaily' => array(
            'name' => __( 'Twice Daily', 'realhomes-property-feed' ),
            'pro' => true
        ),
        'hourly' => array(
            'name' => __( 'Hourly', 'realhomes-property-feed' ),
            'pro' => true
        ),
    );

    $frequencies = apply_filters( 'realhomes_property_feed_export_frequencies', $frequencies );

    return $frequencies;
}

function realhomes_property_feed_get_export_frequency( $key )
{
    $frequencies = realhomes_property_feed_get_export_frequencies();
    
    return $frequencies[$key];
}