<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<div class="rhpf-admin-settings-body wrap">

	<div class="rhpf-admin-settings-logs">

		<?php include( dirname(REALHOMES_PROPERTY_FEED_PLUGIN_FILE) . '/includes/views/admin-settings-notice.php' ); ?>

		<form method="post" action="<?php echo esc_url(admin_url('admin.php?page=realhomes-property-feed-import&tab=logs&action=search')); ?>">
			<p class="search-box">
				<label class="screen-reader-text" for="logs-search-input">Search Logs:</label>
				<input type="search" id="logs-search-input" name="log_search" value="<?php if ( isset($_POST['log_search']) ) { echo esc_attr(sanitize_text_field(wp_unslash($_POST['log_search']))); } ?>">
				<input type="submit" id="search-submit" class="button" value="Search Logs">
			</p>
		</form>

		<h1><?php echo esc_html(__( 'Import Logs', 'realhomes-property-feed' )); ?></h1>

		<?php 
			echo '<div class="logs-table">';
				echo $logs_table->display(); 
			echo '</div>';
		?>

	</div>

</div>