<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<?php
	if ( isset($_GET['rhpfsuccessmessage']) && !empty($_GET['rhpfsuccessmessage']) )
	{
		$allowed_html = array(
	        'a' => array(
	            'href' => array()
	        ),
	    );

	    // Allow specific <a> tags through wp_kses
	    $message = wp_kses( wp_unslash($_GET['rhpfsuccessmessage']), $allowed_html );

		echo '<div class="notice notice-success inline"><p>' . $message . '</p></div>';
	}
	if ( isset($_GET['rhpferrormessage']) && !empty($_GET['rhpferrormessage']) )
	{
		$allowed_html = array(
	        'a' => array(
	            'href' => array()
	        ),
	    );

	    // Allow specific <a> tags through wp_kses
	    $message = wp_kses( wp_unslash($_GET['rhpferrormessage']), $allowed_html );
	    
		echo '<div class="notice notice-error inline"><p>' . $message . '</p></div>';
	}

	// show notice if exports exist but no department statuses set
	if ( isset($_GET['page']) && sanitize_text_field(wp_unslash($_GET['page'])) == 'realhomes-property-feed-export' )
	{
		if ( 
			isset($options['exports']) 
			&& 
			!empty($options['exports'])
			&&
			( !isset($options['sales_statuses']) || ( isset($options['sales_statuses']) && empty($options['sales_statuses']) ) )
			&& 
			( !isset($options['lettings_statuses']) || ( isset($options['lettings_statuses']) && empty($options['lettings_statuses']) ) )
		)
		{
			echo '<div class="notice notice-info inline"><p>';
			printf(
				/* translators: %s is the URL for the RealHomes Property Feed settings page where you determine which statuses relate which department */
			    esc_html__(
			        'Please ensure that %s which statuses determine whether a property is sales or lettings.',
			        'realhomes-property-feed'
			    ),
			    '<a href="' . esc_url(admin_url('admin.php?page=realhomes-property-feed-export&tab=settings')) . '">' . esc_html__('you have specified', 'realhomes-property-feed') . '</a>'
			);
			echo '</p></div>';
		}
	}
?>