<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<form method="POST" action="">

	<input type="hidden" name="save_rhpf_settings" value="yes">
	<?php wp_nonce_field( 'save-rhpf-settings' ); ?>

	<div class="rhpf-admin-settings-body wrap">

		<div class="rhpf-admin-settings-import-settings">

			<?php include( dirname(REALHOMES_PROPERTY_FEED_PLUGIN_FILE) . '/includes/views/admin-settings-notice.php' ); ?>

			<h1><?php echo esc_html(__( 'Settings', 'realhomes-property-feed' )); ?></h1>

			<div class="settings-area">

				<div class="left-tabs">
					<ul>
						<li class="active"><a href="#emailreports"><span class="dashicons dashicons-email"></span> <?php echo esc_html(__( 'Email Reports', 'realhomes-property-feed' )); ?></a></li>
						<li><a href="#offmarket"><span class="dashicons dashicons-trash"></span> <?php echo esc_html(__( 'Removing Properties', 'realhomes-property-feed' )); ?></a></li>
						<li><a href="#media"><span class="dashicons dashicons-admin-media"></span> <?php echo esc_html(__( 'Media Processing', 'realhomes-property-feed' )); ?></a></li>
					</ul>
				</div>

				<div class="right-settings">

					<div class="buttons">

						<input type="submit" value="<?php echo esc_attr(__( 'Save changes', 'realhomes-property-feed' )); ?>" class="button button-primary">

					</div>

					<div class="settings-panels">

						<div class="settings-panel" id="emailreports">
							<?php include( dirname(REALHOMES_PROPERTY_FEED_PLUGIN_FILE) . '/includes/views/admin-settings-settings-import-email-reports.php' ); ?>
						</div>

						<div class="settings-panel" id="offmarket" style="display:none">
							<?php include( dirname(REALHOMES_PROPERTY_FEED_PLUGIN_FILE) . '/includes/views/admin-settings-settings-import-off-market.php' ); ?>
						</div>

						<div class="settings-panel" id="media" style="display:none">
							<?php include( dirname(REALHOMES_PROPERTY_FEED_PLUGIN_FILE) . '/includes/views/admin-settings-settings-import-media.php' ); ?>
						</div>
						
					</div>

					<div class="buttons bottom">

						<input type="submit" value="<?php echo esc_attr(__( 'Save changes', 'realhomes-property-feed' )); ?>" class="button button-primary">

					</div>

				</div>

			</div>

		</div>

	</div>

</form>