<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<div class="rhpf-admin-settings-header">

	<?php if ( isset($_GET['page']) && sanitize_text_field(wp_unslash($_GET['page'])) == 'realhomes-property-feed-export' ) { ?>
	<div class="add-import-export-button">
		<a href="<?php echo esc_url(admin_url('admin.php?page=realhomes-property-feed-export&action=addexport')); ?>" class="button button-primary button-hero"><span class="dashicons dashicons-plus-alt2"></span> <?php echo esc_html(__( 'Create New Export', 'realhomes-property-feed' )); ?></a>
	</div>
	<?php }else{ ?>
	<div class="add-import-export-button">
		<a href="<?php echo esc_url(admin_url('admin.php?page=realhomes-property-feed-import&action=addimport')); ?>" class="button button-primary button-hero"><span class="dashicons dashicons-plus-alt2"></span> <?php echo esc_html(__( 'Create New Import', 'realhomes-property-feed' )); ?></a>
	</div>
	<?php } ?>

	<div class="logo">
		<a href="<?php echo esc_url(admin_url('admin.php?page=' . ( isset($_GET['page']) ? sanitize_text_field(wp_unslash($_GET['page'])) : 'realhomes-property-feed-import' ))); ?>"><img src="<?php echo esc_url(untrailingslashit( plugins_url( '/', REALHOMES_PROPERTY_FEED_PLUGIN_FILE ) ) . '/assets/images/realhomes-property-feed-logo.png'); ?>" alt=""></a>
	</div>

	<div class="buttons">
		<?php if ( !class_exists('RealHomes_Property_Feed_Pro') ) { ?><a href="https://realhomespropertyfeed.com/pricing" class="button button-primary" target="_blank"><?php echo esc_html(__( 'Upgrade To PRO', 'realhomes-property-feed' )); ?></a> &nbsp;<?php } ?>
		<a href="https://realhomespropertyfeed.com/documentation/" class="button" target="_blank"><?php echo esc_html(__( 'Documentation', 'realhomes-property-feed' )); ?></a>
	</div>

	<div class="clear"></div>

</div>
