<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<h3><?php echo esc_html(__( 'Export Property Enquiries', 'realhomes-property-feed' )); ?></h3>

<p><?php echo esc_html(__( 'Export property enquiries made through your website back into', 'realhomes-property-feed' )); ?> <span class="rhpf-import-format-name"></span>.</p>

<table class="form-table media-image-settings">
	<tbody>
		<tr>
			<th><label for="export_enquiries_enabled"><?php echo esc_html(__( 'Enabled', 'realhomes-property-feed' )); ?></label></th>
			<td>
				<select name="export_enquiries_enabled" id="export_enquiries_enabled">
					<option value="">No</option>
					<option value="yes"<?php if ( isset($import_settings['export_enquiries_enabled']) && $import_settings['export_enquiries_enabled'] == 'yes' ) { echo ' selected'; } ?>>Yes</option>
				</select>
			</td>
		</tr>
	</tbody>
</table>