<?php

// if uninstall.php is not called by WordPress, die
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) 
{
    die;
}

$timestamp = wp_next_scheduled( 'realhomespropertyfeedcronhook' );
wp_unschedule_event($timestamp, 'realhomespropertyfeedcronhook' );
wp_clear_scheduled_hook('realhomespropertyfeedcronhook');

$timestamp = wp_next_scheduled( 'realhomespropertyfeedreconcilecronhook' );
wp_unschedule_event($timestamp, 'realhomespropertyfeedreconcilecronhook' );
wp_clear_scheduled_hook('realhomespropertyfeedreconcilecronhook');

delete_option( 'realhomes_property_feed' );

global $wpdb;
$wpdb->query( "DROP TABLE IF EXISTS {$wpdb->prefix}realhomes_property_feed_logs_instance" );
$wpdb->query( "DROP TABLE IF EXISTS {$wpdb->prefix}realhomes_property_feed_logs_instance_log" );
$wpdb->query( "DROP TABLE IF EXISTS {$wpdb->prefix}realhomes_property_feed_media_queue" );
$wpdb->query( "DROP TABLE IF EXISTS {$wpdb->prefix}realhomes_property_feed_export_logs_instance" );
$wpdb->query( "DROP TABLE IF EXISTS {$wpdb->prefix}realhomes_property_feed_export_logs_instance_log" );